require 'test/unit'
require 'browser'
require 'test-util'
require 'bigger-browser-gestures'

class AbstractedTests < Test::Unit::TestCase
  include PageAssertions
  include ServerControl
  
  def setup
    @browser = Browser.new
    start_server_on(TEST_HOST)
  end

  def teardown
    stop_server
  end

  def test_cannot_append_to_a_nominal_audit
    go(TEST_HOST_ROOT)

    login('unimportant', 'unimportant')
    new_case('unimportant', '213')
    new_visit('unimportant', '100', nil)
    new_audit('unimportant', 'nominal')

    assert_page_title_matches(/^Case \d+/)
    assert_page_has_no_action(:add_audit)
  end

end


